summaryrefslogtreecommitdiffstats
path: root/desktop/dwmblocks
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/dwmblocks')
-rw-r--r--desktop/dwmblocks/README12
-rw-r--r--desktop/dwmblocks/dwmblocks.SlackBuild112
-rw-r--r--desktop/dwmblocks/dwmblocks.info10
-rw-r--r--desktop/dwmblocks/slack-desc19
4 files changed, 153 insertions, 0 deletions
diff --git a/desktop/dwmblocks/README b/desktop/dwmblocks/README
new file mode 100644
index 0000000000..0f4cc29acd
--- /dev/null
+++ b/desktop/dwmblocks/README
@@ -0,0 +1,12 @@
+dwmblocks is a modular status bar for dwm written in C.
+
+This build of dwmblocks, by UtkarshVerma, is asynchronous (that is,
+each status block updates independently of one another) and handles
+mouse clicks.
+
+If a config.h is found in the SlackBuild directory it will be copied to
+the source directory and used in the build, allowing easy customisation.
+
+For better window manager stability, replace pulseaudio by installing a
+newer version of pipewire (>= 0.3.52; for context, Slackware 15.0
+provides pipewire 0.3.44) and wireplumber (>= 0.4.11, at SBo).
diff --git a/desktop/dwmblocks/dwmblocks.SlackBuild b/desktop/dwmblocks/dwmblocks.SlackBuild
new file mode 100644
index 0000000000..ad7fccb5c9
--- /dev/null
+++ b/desktop/dwmblocks/dwmblocks.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/bash
+
+# Slackware build script for dwmblocks
+#
+# Copyright 2024 Isaac Yu <isaacyu@protonmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=dwmblocks
+VERSION=${VERSION:-20240420}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+SRCNAM=dwmblocks-async
+COMMIT=${COMMIT:-fe538a7a2fc52e991a553bd76719735141658844}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$COMMIT
+tar xvf $CWD/$SRCNAM-$COMMIT.tar.gz
+cd $SRCNAM-$COMMIT
+
+if [ -e "$CWD/config.h" ]; then
+ cp -v $CWD/config.h config.h
+fi
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make \
+ OPTS="$SLKCFLAGS" \
+ PREFIX=/usr \
+ MANPREFIX=/usr/man \
+ X11INC=/usr/include \
+ X11LIB=/usr/lib${LIBDIRSUFFIX}/X11
+
+make install \
+ OPTS="$SLKCFLAGS" \
+ PREFIX=/usr \
+ MANPREFIX=/usr/man \
+ X11INC=/usr/include \
+ X11LIB=/usr/lib${LIBDIRSUFFIX}/X11 \
+ DESTDIR=$PKG
+
+strip --strip-unneeded $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/dwmblocks/dwmblocks.info b/desktop/dwmblocks/dwmblocks.info
new file mode 100644
index 0000000000..7b85216818
--- /dev/null
+++ b/desktop/dwmblocks/dwmblocks.info
@@ -0,0 +1,10 @@
+PRGNAM="dwmblocks"
+VERSION="20240420"
+HOMEPAGE="https://github.com/UtkarshVerma/dwmblocks-async"
+DOWNLOAD="https://github.com/UtkarshVerma/dwmblocks-async/archive/fe538a7/dwmblocks-async-fe538a7a2fc52e991a553bd76719735141658844.tar.gz"
+MD5SUM="40155bf796f0be1799853bb51bf77963"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Isaac Yu"
+EMAIL="isaacyu@protonmail.com"
diff --git a/desktop/dwmblocks/slack-desc b/desktop/dwmblocks/slack-desc
new file mode 100644
index 0000000000..c84948ab22
--- /dev/null
+++ b/desktop/dwmblocks/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dwmblocks: dwmblocks (Modular status bar for dwm)
+dwmblocks:
+dwmblocks: dwmblocks is a modular status bar for dwm written in C.
+dwmblocks:
+dwmblocks:
+dwmblocks:
+dwmblocks:
+dwmblocks:
+dwmblocks:
+dwmblocks:
+dwmblocks: